{ pkgs, ... }: {
  users.groups.peertube = { };
  users.users.peertube = {
    isSystemUser = true;
    group = "peertube";
    home = "/var/lib/peertube";
    createHome = true;
    uid = 2342;
    subUidRanges = [
      {
        count = 65536;
        startUid = 2147483646;
      }
    ];
    subGidRanges = [
      {
        count = 65536;
        startGid = 2147483647;
      }
    ];
  };
  virtualisation.oci-containers = {
    backend = "podman";
    # containers.peertube = {
    #   image = "chocobozzz/peertube:latest";
    #   ports = [ ];
    #   podman = {
    #     user = "peertube";
    #   };
    # };
  };
}
